with GNATCOM.Dispinterface;

package MSHTML.IHTMLMSCSSKeyframeRule_Interface is

   type IHTMLMSCSSKeyframeRule_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLMSCSSKeyframeRule_Type);

   function Pointer (This : IHTMLMSCSSKeyframeRule_Type)
     return Pointer_To_IHTMLMSCSSKeyframeRule;

   procedure Attach (This    : in out IHTMLMSCSSKeyframeRule_Type;
                     Pointer : in     Pointer_To_IHTMLMSCSSKeyframeRule);

   procedure Put_keyText
     (This : IHTMLMSCSSKeyframeRule_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_keyText
     (This : IHTMLMSCSSKeyframeRule_Type)
     return GNATCOM.Types.BSTR;

   function Get_style
     (This : IHTMLMSCSSKeyframeRule_Type)
     return Pointer_To_IHTMLRuleStyle;

end MSHTML.IHTMLMSCSSKeyframeRule_Interface;

